package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.WyPlatformActivityReward;

/**
 * 平台活动奖励Service接口
 * 
 * @author kxl
 * @date 2025-02-09
 */
public interface IWyPlatformActivityRewardService 
{
    /**
     * 查询平台活动奖励
     * 
     * @param id 平台活动奖励主键
     * @return 平台活动奖励
     */
    public WyPlatformActivityReward selectWyPlatformActivityRewardById(Long id);

    WyPlatformActivityReward selectRewardByBatchId(Long batchId);

    WyPlatformActivityReward selectWyPlatformActivityRewardByActivityIdAndBarId(Long activityId, Long barId, Long joinBatchId);

    /**
     * 查询平台活动奖励列表
     * 
     * @param wyPlatformActivityReward 平台活动奖励
     * @return 平台活动奖励集合
     */
    public List<WyPlatformActivityReward> selectWyPlatformActivityRewardList(WyPlatformActivityReward wyPlatformActivityReward);

    /**
     * 新增平台活动奖励
     * 
     * @param wyPlatformActivityReward 平台活动奖励
     * @return 结果
     */
    public int insertWyPlatformActivityReward(WyPlatformActivityReward wyPlatformActivityReward);

    /**
     * 修改平台活动奖励
     * 
     * @param wyPlatformActivityReward 平台活动奖励
     * @return 结果
     */
    public int updateWyPlatformActivityReward(WyPlatformActivityReward wyPlatformActivityReward);

    /**
     * 批量删除平台活动奖励
     * 
     * @param ids 需要删除的平台活动奖励主键集合
     * @return 结果
     */
    public int deleteWyPlatformActivityRewardByIds(Long[] ids);

    /**
     * 删除平台活动奖励信息
     * 
     * @param id 平台活动奖励主键
     * @return 结果
     */
    public int deleteWyPlatformActivityRewardById(Long id);
}
